Bug 652120 - RPM Spec has mixed-use-of-spaces-and-tabs
RPM Spec has mixed-use-of-spaces-and-tabs
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
: 652119 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 21:41 EST by eric@christensenplace.us
Modified: 2010-12-07 22:49 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 22:49:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Offending SPEC file (9.83 KB, text/plain)
2010-11-10 21:41 EST, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2010-11-10 21:41:09 EST
Description of problem: When creating an RPM in Publican using the command 'publican package --binary --lang=en-US'.

Version-Release number of selected component (if applicable): publican-2.3-0.fc14.noarch

How reproducible: Always


Steps to Reproduce:
1. publican package --binary --lang=en-us
2. find rpm and spec
3. run rpmlint against the rpm and the spec
  
Actual results:
Fedora-Security_Guide-14-web-en-US.spec:85: W: mixed-use-of-spaces-and-tabs (spaces: line 13, tab: line 85)

Expected results: Clean rpmlint output

Additional info: attached is the offending spec
Comment 1 eric@christensenplace.us 2010-11-10 21:41:47 EST
Created attachment 459607 [details]
Offending SPEC file
Comment 2 eric@christensenplace.us 2010-11-11 08:38:34 EST
*** Bug 652119 has been marked as a duplicate of this bug. ***
Comment 3 Ryan Lerch 2010-11-16 17:59:08 EST
Changed the xsl that generates the specfiles so that these tabs are no longer inserted in the specfiles.

Committed revision 1630.
Comment 4 Jeff Fearn 2010-12-07 22:49:28 EST
Publican 2.4 has shipped with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.